cURL
curl --request PATCH \ --url https://api.example.com/v1/datasets/{dataset_name} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "name": "<string>", "description": "<string>" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "status": "UPLOADED", "name": "<string>", "description": "<string>", "file_name": "<string>", "file_size": 123, "errors": {} }
Documentation IndexFetch the complete documentation index at: https://docs.luminolabs.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.luminolabs.ai/llms.txt
Use this file to discover all available pages before exploring further.
The new name for the dataset
The new description for the dataset
Dataset updated successfully
UPLOADED
VALIDATED
ERROR
DELETED